## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream tests now require Docker + network access. 😢
%bcond_with    tests

%global         srcname         azure-mgmt-redis

Name:           python-%{srcname}
Version:        14.1.0
Release:        %autorelease
Summary:        Microsoft Azure Redis Cache Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Redis Cache Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


# LICENSE missing. Added PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20182
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1:14.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> 1:14.1.0-1
- Update to 14.1.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:13.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 23 2022 Major Hayden <major@redhat.com> 1:13.1.0-7
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1:13.1.0-6
- Rebuilt for Python 3.11

* Tue May 17 2022 Major Hayden <major@mhtx.net> 1:13.1.0-5
- Add python-dotenv to test reqs

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 1:13.1.0-4
- Disable tests in EPEL 9

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:13.1.0-3
- Fix BuildRequires

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:13.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 1:13.1.0-1
- Update to 13.1.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:13.0.0-3
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:13.0.0-2
- Fix changelog

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:13.0.0-1
- Update to 13.0.0

* Tue Aug 03 2021 Major Hayden <major@mhtx.net> 1:7.0.0~rc1-2
- Rebuild

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:7.0.0~rc1-1
- Add epoch number for 7.0.0~rc1 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:12.0.0-1
- Downgrade back to 12.0.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 12.0.0-1
- Revert "Update to 13.0.0"

* Wed Jul 21 2021 Major Hayden <major@mhtx.net> 13.0.0-1
- Update to 13.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 12.0.0-1
- Initial commit (#1971849)
